Subject: PXA270 Random Hangs at Low Core Freq

From: [email-masked] (Robert Jarzmik)
Date: Fri, 03 Dec 2010 21:20:21 +0100

Marek Vasut <[email-masked]> writes:

> On Monday 25 October 2010 22:53:32 Michael Cashwell wrote:
>> On Oct 25, 2010, at 3:46 PM, Marek Vasut wrote:
>> > I think I noticed something similar running ZipitZ2 on 312MHz ... yet I
>> > was unable to figure out the problem as well ...
>> 
>> Out of curiosity, what was your trigger event? MMC activity or something
>> else?
>
> I believe it might have been MMC activity, as in initramfs it wasn't triggered

On the mioa701 with a PXA272, the problem occurs as well in the lowest frequency
(104 MHz). If I block the frequency at 208MHz, no hang occurs.

The hang occured several times in the boot sequence, before rootfs was even
loaded.

This happens even with no SD card inserted, with USB gadget driver loading the
CPU, and then idling.

--
Robert